//+------------------------------------------------------------------+
//|                                                 EA by Anchor.mq5 |
//|                                  Copyright 2021, MetaQuotes Ltd. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//| Expert properties                                               |
//+------------------------------------------------------------------+
#property copyright "Copyright 2021, MetaQuotes Ltd."
#property link      "https://www.mql5.com"
#property version   "1.00"

//+------------------------------------------------------------------+
//| Expert includes                                                  |
//+------------------------------------------------------------------+
#include <Trade\Trade.mqh>
#include <Trade\OrderInfo.mqh>
#include <Trade\PositionInfo.mqh>
#include <Trade\SymbolInfo.mqh>
CTrade trade;
//+------------------------------------------------------------------+
//| Variables for storing the patterns data                          |
//+------------------------------------------------------------------+
const long chart_id    =0;               //Chart identifier
string signal          ="";              //Empty varible for the signal
const string Up_Anchor ="Upper";         //Upper Anchor Text
const string Lw_Anchor ="Lower";         //Lower Anchor Text
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
   {
     int obj_total            =ObjectsTotal(chart_id,0,OBJ_TEXT);         //count all OBJ_Text in the chart
     for(int i=0;i<obj_total;i++)                                         //i-th OBJ_Text in the chart
       {
        const string Obj_Name =ObjectName(chart_id,i,0,OBJ_TEXT);         //Name of the i-th OBJ_TEXT in the chart
        if(ObjectFind(chart_id,Obj_Name)<0)                               //Find the i-th Obj_Name in the chart
         {
           if(ObjectGetString(chart_id,Obj_Name,OBJPROP_ANCHOR,0,Obj_Anchor))
            {if(Obj_Anchor == Up_Anchor)
                signal ="sell";
             if(Obj_Anchor ==Lw_Anchor)
                signal ="buy";
            }
         }
       }
   }
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---
   double Ask = NormalizeDouble(SymbolInfoDouble(_Symbol,SYMBOL_ASK),_Digits);
   double Bid = NormalizeDouble(SymbolInfoDouble(_Symbol,SYMBOL_BID),_Digits);
   
   if(signal=="buy" && PositionsTotal()<1)
   trade.Buy(0.30,NULL,Ask,0.0,(Ask+150*_Point),NULL);
   
   if(signal=="sell" && PositionsTotal()<1)
   trade.Sell(0.30,NULL,Bid,0.0,(Bid-150*_Point),NULL);
    Comment("The current signal is: ",signal);
        
  }
//+------------------------------------------------------------------+